• @Sampo2910 the login/logout problem sounds more like a caching issue to me. Are you using nginx or Cloudflare?


  • @phenomlab NGINX

    I literally just rolled back my machine a few days. 😧

    I updated npm and cleared the cache as advised...NGINX stopped working..I could not load my applications and could not get it back up at all.
    After rollback and s it stands I have NGINX back running.

    npm 6.14.15
    node 14.7.3

    These versions appear to work the best. upgrading npm broke all.

    I tried this again

    ./nodebb stop
    rm -rf node_modules
    ./nodebb upgrade
    ./nodebb start

    Last time it fixed the logout problem. This time it has not. I am literally going around in circles here. All because i am trying to install a discord plugin that apparently should work with latest NodeBB version.

    I dont like to give in but this has been months with error after error. It is always something no matter what. I even reformatted the hard drive and installed ubuntu again (back at the start of all this).

  • GNU/Linux Admin

    @Sampo2910 your problem seems to be more significant than a couple of wonky dependencies.

    If you're deleting node_modules/ that's basically like detonating a nuke in your install. It (in addition to deleting any and all lockfiles) should fix basically everything short of database related problems.

    I updated npm and cleared the cache as advised...NGINX stopped working..I

    If running an npm command causes nginx to stop working it means your system is doing unexpected stuff that goes way beyond the scope of help this forum can provide.

  • GNU/Linux Admin

    @PitaJ said in Discord Notification:

    @Sampo2910 do you have a mechanical hard drive in your computer? I think your drive may be dying.

    👆Like this. Or something of this magnitude.

    I'd recommend you spin up NodeBB on a digital ocean droplet. If you use our referral code you get $10 or something, which is good for two months of server time.

    If only so you can realize that, no, installing a plugin into NodeBB isn't supposed to be this hard.


  • @julian said in Discord Notification:

    that goes way beyond the scope of help this forum can provide.

    But we headed that direction anyway. I appreciate all the help regardless.

    As I previously said I am not the wizard and just posed the question.

    Have a good day all.


  • @julian

    It is a brand new hard drive, installing ALL other plugins appear to be fine. IT is the plugin that started this thread that is the ONLY One causing these issues. I have installed all fresh again and forum is running sweet again. I have not bothered trying with this plugin anymore.

    I would like a discord notification plugin but do not see anymore other than this.

    Happy Sunday.

  • Community Rep

    @Sampo2910 said in Discord Notification:

    It is a brand new hard drive

    Perchance have you run a smartctl long test? It is not uncommon for hard drives to be abused during shipping and packing. Long shot, but worth a shot, if only because it is very low hanging fruit to rule out.

    Good luck! 🐕


  • @gotwf

    Hi, I did a test this morning and all appears to be OK hard disk wise. I have some software on the system called GSmart Control that is quite extensive. Of course maybe i should keep an eye on it.

    I seem to have got a little further. I rolled back the machine a little further (pre updating and downgrading npm etc)

    Now the plugin installed with this output

    [email protected]:~$ cd /home/smiley/nodebb
    [email protected]:~/nodebb$ npm install nodebb-plugin-discord-notification
    npm WARN deprecated [email protected]: no longer supported
    npm WARN @apidevtools/[email protected] requires a peer of [email protected]>=7 but none is installed. You must install peer dependencies yourself.
    npm WARN [email protected] requires a peer of [email protected]^1.16.0 but none is installed. You must install peer dependencies yourself.
    npm WARN [email protected] requires a peer of [email protected]>=7 but none is installed. You must install peer dependencies yourself.
    npm WARN [email protected] requires a peer of [email protected]^0.14.2 but none is installed. You must install peer dependencies yourself.
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected] (node_modules/fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for [email protected]: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x6                                                   4"})
    
    + [email protected]
    added 14 packages from 15 contributors and audited 1336 packages in 8.728s
    
    148 packages are looking for funding
      run `npm fund` for details
    
    found 3 vulnerabilities (1 moderate, 2 high)
      run `npm audit fix` to fix them, or `npm audit` for details
    [email protected]:~/nodebb$
    

    I activated the plugin and restarted/rebuilt NodeBB

    Now when i go to the plugin settings.

    discorderror.png

  • Community Rep

    @Sampo2910 I see. Well. It was a long shot, after all. Moreover, I neglected to inquire whether "old skool" or SSD. The later are far less susceptible to shipper thumps and bumps.

    I was unfamiliar with GSmart Tools. Quick gander and it seems to be a nice GUI wrapper for smartmontools for those less comfortable with the command line and/or otherwise preferring a gui. Good to know. 👍

    As for your actual module error... heh... I am so far off the bleeding edge to even know where to start.... I am confident you will eventually get it sorted. Lots of good helpers hereabouts. 🙂

    Good luck! 🐕


  • @gotwf

    I never really intended installing a GUI but gave it a try. For a lot of things it is much easier and I probably am one of those more comfortable with that 🙂

    Anyway, I had some help from @phenomlab and basically after removing the plugin I then installed using this method.

    npm install git+https://github.com/amargon/nodebb-plugin-discord-notification

    As I was told it may not be the best method however it worked and the plugin works fine now. As soon as the GitHub version is merged probably best to move back to 'traditional' install.

    Thank you for your reply 🙂


Suggested Topics

| | |

© 2014 – 2022 NodeBB, Inc. — Made in Canada.